/**
 * Izayoi.java
 * Created on 2005/05/11
 * Copyright (c) by es , All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY 
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF 
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package izayoi;

/**
 * @author es
 */
public final class Izayoi {
    public static final String NAME = "Izayoi";
    public static final String PRODUCT = NAME + "/0.0.0";
    public static final String BASEMENT = "shinGETsu/0.5";
    public static final String VERSION = BASEMENT + " (" + PRODUCT + ")";

    public static final String CONFIG_SELF_PORT = "selfPort";
    public static final String CONFIG_SELF_NODE = "selfNode";
    public static final String CONFIG_CACHE_FACTORY = "cacheFactory";
    public static final String CONFIG_NODE_CONTROLLER = "nodeController";
    public static final String CONFIG_CACHE_STOREPATH = "cacheStorePath";
    public static final String CONFIG_MAKE_THUMB = "makeThumbNail";
    public static final String CONFIG_MAKE_THUMB_PATH = "ThumbNailPath";
    public static final String CONFIG_MAKE_THUMB_FORMAT = "ThumbNailFormat";
}
