/**
 * ListRecord.java
 * Created on 2005/05/12
 * Copyright (c) by es , All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY 
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF 
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package izayoi.cache;

import izayoi.Constants;

/**
 * ListpRecord
 * @author es
 */
public class ListRecord extends GenericRecord {

    /**
     * VKListR[h쐬
     * @param timeStamp ^CvX^vlongl
     * @param type 
     * @param name N
     */
    public ListRecord(long timeStamp, String type, String linkName) {
        if (linkName == null || linkName.length() == 0) {
            throw new NullPointerException("Ow肳Ă܂B");
        }
        if (type == null || type.length() == 0) {
            throw new NullPointerException("^Cvw肳Ă܂B");
        }
        setTimeStamp(timeStamp);
        setField(Constants.FIELD_NAME_TYPE, type);
        setField(Constants.FIELD_NAME_LINK, linkName);
    }

    /**
     * @return
     */
    public String getType() {
        return getField(Constants.FIELD_NAME_TYPE);
    }

    /**
     * @return
     */
    public String getLink() {
        return getField(Constants.FIELD_NAME_LINK);
    }

    /* ( Javadoc)
     * @see izayoi.cache.CacheRecord#getBody()
     */
    public String getBody() {
        return "type:" + getType() + "<>link:" + getLink();
    }

}
