/*
 * CGI.java
 *
 * Created on 2004/08/12, 12:06
 */

package net.sourceforge.shingetsu.server.cgi;

import java.io.PrintWriter;
import java.io.IOException;
import java.net.URLEncoder;
import java.net.URLDecoder;
import java.util.regex.Pattern;
import java.util.regex.Matcher;
import java.security.MessageDigest;

import net.sourceforge.shingetsu.server.HttpServer;
import net.sourceforge.shingetsu.server.HttpRequest;
import net.sourceforge.shingetsu.server.HttpResponse;
import net.sourceforge.shingetsu.util.Config;

import java.io.UnsupportedEncodingException;
import java.security.NoSuchAlgorithmException;

import net.sourceforge.shingetsu.server.HttpProtocolException;

/**
 * @̃NXׂ͂ĂCGIvOɕKvƂȂ郁\bh񋟂܂BCGIv
 * O̓NGXgɉēK؂ȃvOs܂B
 * @author Fuktommy
 * @author stokesia
 */
public abstract class CGI {
    
    private Config config = Config.getInstance();
    
    /**
     * CGIvOs邽߂ɌĂяo\bhłBJ҂CGIvȌ
     * ̃\bhɋLq܂B
     * @param request HttpRequestNX̃IuWFNg
     * @param response HttpResponseNX̃IuWFNg
     * @throws HttpProtocolException sɂȂ炩̗Oꍇ
     * @throws IOException Xg[̓o̓G[ꍇ
     */    
    public abstract void excecute(HttpRequest request, HttpResponse response)  
            throws HttpProtocolException, IOException;
    
    /**
     * wb_o͂܂BAwb_ύX̂ł΁Ã\bhI[o[
     * Ch܂B܂Ã\bh̓X|X̏o̓Xg[JnĂȂ
     * ͏o̓Xg[擾Awb_̏o͂Jn܂B
     * @param response ̃NGXgɑ΂HttpResponseNX̃IuWFNg
     * @param writer ̃NGXgɑ΂郌X|X̂߂̏o̓Xg[
     * @param title HTMLhLg̃^Cg
     * @throws HttpProtocolException sɂȂ炩̗Oꍇ
     * @throws IOException Xg[̓o̓G[ꍇ
     */    
    protected abstract void printHeader(HttpResponse response, PrintWriter writer, String title)
            throws HttpProtocolException, IOException;

    /**
     * tb^[o͂܂BAtb^[ύX̂ł΁Ã\bhI[o[
     * Ch܂B܂Ã\bh̓X|X̏o̓Xg[JnĂȂ
     * ꍇ͏o̓Xg[擾Atb^[̏o͂Jn܂Btb^[̏o͂I
     * Ƃ̃\bh͏o̓Xg[tbVɃN[Y܂B̃\b
     * hprintHeader(HttpResponse, PrintWriter, String)̌ɌĂ΂ׂłB
     * @param response ̃NGXgɑ΂HttpResponseNX̃IuWFNg
     * @param writer ̃NGXgɑ΂郌X|X̂߂̏o̓Xg[
     * @throws HttpProtocolException sɂȂ炩̗Oꍇ
     * @throws IOException Xg[̓o̓G[ꍇ
     */    
    protected abstract void printFooter(HttpResponse response, PrintWriter writer)
            throws HttpProtocolException, IOException;
    
    /**
     * ̕URLfR[h܂B
     * @param string URLfR[h镶
     * @return URLfR[hꂽ
     * @throws UnsupportedEncodingException URLfR[hGR[fBOT|[gĂȂꍇ
     */    
    public String decode(String string) throws UnsupportedEncodingException {
        string = URLDecoder.decode(string, config.getGeneralEncoding());

        return string;
    }
    
    /**
     * ̕URGR[h܂B
     * @param string URLGR[镶
     * @return URLGR[hꂽ
     * @throws UnsupportedEncodingException URLGR[hGR[fBOT|[gĂȂꍇ
     */    
    public String encode(String string) throws UnsupportedEncodingException {
        string = URLEncoder.encode(string, config.getGeneralEncoding());

        return string;
    }
    
    /**
     * HTMLŗpłȂGXP[v܂B
     * @param body GXP[vΏۂ̕
     * @return GXP[vꂽ
     */    
    public String escape(String body) {
        body = body.replaceAll("&", "&amp;");
        body = body.replaceAll("<", "&lt;");
        body = body.replaceAll(">", "&gt;");
        body = body.replaceAll("\"", "&quot;");
        body = body.replaceAll(" ", "&#32;");
        
        return body;
    }
    
    /**
     * HTMLł悤ł镶ɃAGXP[v܂B
     * @param body AGXP[v镶
     * @return AGXP[vꂽ
     */    
    public String unescape(String body) {
        body = body.replaceAll("&#32;", " ");
        body = body.replaceAll("&lt;", "<");
        body = body.replaceAll("&gt;", ">");
        body = body.replaceAll("&quot;", "\"");
        body = body.replaceAll("&amp;", "&");
        
        return body;
    }

}
